aboutsummaryrefslogtreecommitdiff
path: root/graphics/gifsicle
diff options
context:
space:
mode:
authorDeposite Pirate2018-09-16 18:48:36 +0200
committerDeposite Pirate2018-09-16 18:48:36 +0200
commitd150a5f3e462fa7fe194a805a4aa0076f4d03ab9 (patch)
treece5e44d69c5f3175bfdbd1e3717b52c5dcca5638 /graphics/gifsicle
parentf29d3519ce073ec30f99754d93304324f7f26d65 (diff)
Add ports.
Diffstat (limited to 'graphics/gifsicle')
-rwxr-xr-xgraphics/gifsicle/gifsicle.SlackBuild83
1 files changed, 83 insertions, 0 deletions
diff --git a/graphics/gifsicle/gifsicle.SlackBuild b/graphics/gifsicle/gifsicle.SlackBuild
new file mode 100755
index 0000000..3d3bb83
--- /dev/null
+++ b/graphics/gifsicle/gifsicle.SlackBuild
@@ -0,0 +1,83 @@
+#!/bin/sh
+
+CWD=`pwd`
+NAME=gifsicle
+VERSION=1.44
+ARCH=i586
+BUILD=1
+PKGNAME=$NAME
+PKGVER=$VERSION
+BASEDIR=$PKGNAME-$PKGVER
+ARCHIVE=$BASEDIR.tar.gz
+REPOSITORY=http://www.lcdf.org/~eddietwo/gifsicle
+FLAGS="-O2 -march=pentium -mcpu=pentium -fno-strength-reduce \
+ -fomit-frame-pointer -ffast-math"
+PKG=/tmp/package-$NAME
+
+rm -rf $PKG
+mkdir -p $PKG
+
+# Obtain sources
+if [ ! -e $ARCHIVE ]; then
+ if `wget "$REPOSITORY/$ARCHIVE"`; then
+ true
+ else
+ exit 1
+ fi
+fi
+
+# Compile
+cd /tmp
+tar zxvf $CWD/$ARCHIVE
+cd $BASEDIR
+CFLAGS=$FLAGS CXXFLAGS=$FLAGS ./configure --prefix=/usr
+make
+
+# Install
+make install DESTDIR=$PKG
+mkdir -p $PKG/install $PKG/usr/doc/$NAME-$VERSION $PKG/usr/X11R6/bin $PKG/usr/X11R6/man/man1
+cat > $PKG/install/slack-desc <<EOF
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+ungifsicle: gifsicle
+ungifsicle:
+ungifsicle: Gifsicle manipulates GIF image files on the command line. It
+ungifsicle: supports merging several GIFs into a GIF animation, exploding an
+ungifsicle: animation into its component frames, turning interlacing on or off,
+ungifsicle: adding transparency, adding comments and much more. Included are
+ungifsicle: also 'gifview' an X program for viewing GIFs and 'gifdiff' which
+ungifsicle: compares two GIFs for identical visual appearance.
+ungifsicle:
+ungifsicle:
+ungifsicle:
+EOF
+
+install -m644 -g0 -o0 NEWS README $PKG/usr/doc/$NAME-$VERSION
+
+gzip -9nf \
+ $PKG/usr/doc/$NAME-$VERSION/NEWS
+
+mv $PKG/usr/bin/gifview $PKG/usr/X11R6/bin
+mv $PKG/usr/man/man1/gifview.1 $PKG/usr/X11R6/man/man1/gifview.1x
+
+chmod 444 $PKG/usr/man/man?/*.?
+gzip -9nf $PKG/usr/man/man?/*.?
+chmod 444 $PKG/usr/X11R6/man/man?/*.?x
+gzip -9nf $PKG/usr/X11R6/man/man?/*.?x
+
+strip $PKG/usr/bin/* || :
+strip $PKG/usr/X11R6/bin/* || :
+
+chown -R root.root $PKG
+chgrp bin $PKG/usr/bin $PKG/usr/X11R6/bin $PKG/usr/bin/* $PKG/usr/X11R6/bin/*
+
+# Make package
+cd $PKG
+cat install/slack-desc | grep "$NAME:" > /tmp/$NAME-$VERSION-$ARCH-$BUILD.txt
+makepkg -l y -c n /tmp/$NAME-$VERSION-$ARCH-$BUILD.tgz